import express from "express";

import db from "../../lib/sql";

const queries = {
  statistic: "select count(*) as sum from `pastes`"
};

export default express.Router()
  .get("/", (req, res) => {
    res.render("about/about");
  })
  .get("/howto", (req, res) => {
    res.render("about/howto");
  })
  .get("/contact", (req, res) => {
    res.render("about/contact");
  })
  .get("/statistics", (req, res) => {
    db.exec(queries.statistic).then(rows => {
      const r = rows[0];
      res.render("about/statistics", { pastes: r.sum });
    }).catch(err => console.log(err));
  });